// http://www.cocos2d-iphone.org

varying vec4 v_fragmentColor; 
varying vec2 v_texCoord;
uniform float width;
uniform float height;
uniform float margin; 
uniform float radi;
uniform float opa;

int getColorByCoord(float x, float y){
	vec2 pos1 = vec2(margin+radi, height-radi);
	vec2 pos2 = vec2(width-margin-radi, height-radi);
    if (x <= (margin+radi) && y >= (height-radi)) {
		if (distance(vec2(x, y), pos1) <= radi) {
			return 1;
		} else {
			return 0;
		}
	} else if (x >= (width-margin-radi) && y >= (height-radi)) {
		if (distance(vec2(x, y), pos2) <= radi){
			return 1;
		} else {
			return 0;
		}
	} else {
		return 1;
	}
}

void main(void) {
	vec4 v_orColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	int result = getColorByCoord(gl_FragCoord.x, gl_FragCoord.y);
	if (result == 0) {
		gl_FragColor = vec4(0, 0, 0, 0);
	} else {
		if (int(opa) == 1) {
			gl_FragColor = vec4(v_orColor.r, v_orColor.g, v_orColor.b, 1);
		} else {
			gl_FragColor = v_orColor;
		}
		
	}
	
}